## ros-indigo-camera1394 1.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(camera1394)

# Find catkin macros and libraries, also other catkin packages.
find_package(catkin REQUIRED COMPONENTS
  camera_info_manager
  diagnostic_updater
  driver_base
  dynamic_reconfigure
  image_transport
  message_generation
  nodelet
  roscpp
  rostest
  sensor_msgs
  tf)

# This driver uses Boost threads
find_package(Boost REQUIRED COMPONENTS thread)

# Resolve system dependency on libdc1394, which apparently does not
# provide a CMake find_package() module.
find_package(PkgConfig REQUIRED)
pkg_check_modules(DC1394_PKGCONF REQUIRED libdc1394-2)
find_path(DC1394_INCLUDE_DIR
  NAMES dc1394.h
  PATHS ${DC1394_PKGCONF_INCLUDE_DIRS}
)
find_library(DC1394_LIBRARY
  NAMES dc1394
  PATHS ${DC1394_PKGCONF_LIBRARY_DIRS}
)

add_service_files(FILES
  GetCameraRegisters.srv
  SetCameraRegisters.srv)

generate_messages(DEPENDENCIES std_msgs)

# auto-generate dynamic reconfiguration GUI before catkin_package()
generate_dynamic_reconfigure_options(cfg/Camera1394.cfg)

# nothing builds against this package
catkin_package(CATKIN_DEPENDS
                 camera_info_manager
                 diagnostic_updater
                 dynamic_reconfigure
                 image_transport
                 message_runtime
                 nodelet
                 roscpp
                 sensor_msgs
                 tf)

include_directories(${catkin_INCLUDE_DIRS}
  ${DC1394_PKGCONF_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIR})

# build package sources
add_subdirectory(src/nodes)

# install pluginlib definition for the nodelet
install(FILES camera1394_nodelet.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# driver unit tests
if (CATKIN_ENABLE_TESTING)
  #
  #  * When -DUSE_DEVICE=1 is configured: run tests that require some
  #    real 1394 camera to be present.
  #
  #  * Otherwise, run only tests that require no attached camera, as is
  #    done on the ROS build machines.
  #
  if (${USE_DEVICE})
    add_rostest(tests/camera_node_hz.test)
    add_rostest(tests/camera_nodelet_hz.test)
  endif()

  if (${USE_TRIGGER})
    # build the software trigger node, but do not install it
    add_executable(camera1394_trigger_node tests/trigger_node.cpp)
    target_link_libraries(camera1394_trigger_node
                          ${catkin_LIBRARIES}
                          ${DC1394_LIBRARY})
    add_rostest(tests/trigger_node.test)
    add_rostest(tests/trigger_nodelet.test)
  endif()
  
  add_rostest(tests/no_device_node.test)
  add_rostest(tests/no_device_nodelet.test)
endif()

=== src/nodes/CMakeLists.txt ===
# common source files for both node and nodelet driver interfaces
set(CAMERA1394_SOURCES 
  driver1394.cpp
  dev_camera1394.cpp
  features.cpp
  format7.cpp
  modes.cpp
  registers.cpp
  trigger.cpp)

## The following used to be necessary rosbuild on Mac OSX.
## No telling what, if anything, is needed with catkin.

# Mac OSX requires extra linker parameters
#if(CMAKE_SYSTEM_NAME MATCHES "Darwin")
#  set(DC1394 dc1394 "-framework CoreServices")
#else(CMAKE_SYSTEM_NAME MATCHES "Darwin")
#  set(DC1394 dc1394)
#endif(CMAKE_SYSTEM_NAME MATCHES "Darwin")

# build and install the node
add_executable(camera1394_node camera1394_node.cpp ${CAMERA1394_SOURCES})
add_dependencies(camera1394_node ${camera1394_EXPORTED_TARGETS})
target_link_libraries(camera1394_node
  ${catkin_LIBRARIES} ${DC1394_LIBRARY})
install(TARGETS camera1394_node
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

# build and install the nodelet
add_library(camera1394_nodelet nodelet.cpp ${CAMERA1394_SOURCES})
add_dependencies(camera1394_nodelet ${camera1394_EXPORTED_TARGETS})
target_link_libraries(camera1394_nodelet
  ${catkin_LIBRARIES} ${DC1394_LIBRARY})
install(TARGETS camera1394_nodelet
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-indigo-camera1394 (1.10.0-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 01 Sep 2014 05:00:00 -0000

ros-indigo-camera1394 (1.9.5-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 29 Apr 2014 05:00:00 -0000

ros-indigo-camera1394 (1.9.4-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 03 Aug 2013 05:00:00 -0000

ros-indigo-camera1394 (1.9.3-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 05 Jun 2013 05:00:00 -0000

ros-indigo-camera1394 (1.9.2-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 13 May 2013 05:00:00 -0000

ros-indigo-camera1394 (1.9.1-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sun, 14 Apr 2013 05:00:00 -0000

ros-indigo-camera1394 (1.9.0-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 12 Apr 2013 05:00:00 -0000

ros-indigo-camera1394 (1.8.1-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 01 Mar 2013 06:00:00 -0000

ros-indigo-camera1394 (1.8.0-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 14 Mar 2012 05:00:00 -0000

ros-indigo-camera1394 (1.7.0-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 14 Dec 2011 06:00:00 -0000

ros-indigo-camera1394 (1.6.0-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 20 Jul 2011 05:00:00 -0000

ros-indigo-camera1394 (1.4.2-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 06 Jun 2011 05:00:00 -0000

ros-indigo-camera1394 (1.4.1-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 09 Feb 2011 06:00:00 -0000

ros-indigo-camera1394 (1.4.0-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 31 Jan 2011 06:00:00 -0000

ros-indigo-camera1394 (1.2.8-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 09 Feb 2011 06:00:00 -0000

ros-indigo-camera1394 (1.2.5-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 28 Oct 2010 05:00:00 -0000

ros-indigo-camera1394 (1.2.0-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 23 Jul 2010 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-camera1394
Section: misc
Priority: extra
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libdc1394-22-dev, ros-indigo-camera-info-manager, ros-indigo-catkin, ros-indigo-diagnostic-updater, ros-indigo-driver-base, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-message-generation, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-sensor-msgs, ros-indigo-tf
Homepage: http://ros.org/wiki/camera1394
Standards-Version: 3.9.2

Package: ros-indigo-camera1394
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libdc1394-22-dev, ros-indigo-camera-info-manager, ros-indigo-diagnostic-updater, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-message-runtime, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf
Description: ROS driver for devices supporting the IEEE 1394 Digital Camera (IIDC) protocol. Supports the ROS image_pipeline, using libdc1394 for device access.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-camera1394//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
